Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#51 Le 26/03/2010, à 18:35

Traductator

Re : logiciels lycee - en physique

Merci ça marche super bien !:D

Je vais pouvoir le mettre au sur l'un des 2 PCs qu'on a pour le capes comme ça ils connaîtrons les logiciels sous windows et sous Linux.

Hors ligne

#52 Le 28/03/2010, à 13:43

YannUbuntu

Re : logiciels lycee - en physique

Kanor a écrit :
YannUbuntu a écrit :

@Kanor: peux-tu mettre a jour la page http://doc.ubuntu-fr.org/pymecavideo stp ?

Euh ok mais on va déjà essayer de corriger toutes les erreur avant wink

Ok, merci d'avance !


à consulter/améliorer: Guide du Débutant, Logiciels, Ecole, Travail, Maison

Hors ligne

#53 Le 28/03/2010, à 15:48

Kanor

Re : logiciels lycee - en physique

Je n'ai toujours pas de réponse des auteurs vous avez déjà réussi à les contacter ?

Hors ligne

#54 Le 07/04/2010, à 17:51

Oldman

Re : logiciels lycee - en physique

J'ai installé QtiPlot avec les paquets des dépots (je suis en 9.04). Qtiplot fonctionne parfaitement bien mais il est en anglais et je n'arrive pas à le mettre en français. Une idée ?

Par ailleurs, j'ai complété la doc de pymecavideo sur ubuntu-fr.

Hors ligne

#55 Le 07/04/2010, à 18:25

volfoni54

Re : logiciels lycee - en physique

Sur le site de QtiPlot, tu peux récupérer la version française (http://soft.proindependent.com/translations/qtiplot_fr.qm) et tu l'installes dans /usr/share/qtiplot/translations/

C'est même étonnant qu'il n'y soit pas déjà !!


A+

Raoul

Dernière modification par volfoni54 (Le 07/04/2010, à 18:29)

Hors ligne

#56 Le 07/04/2010, à 19:31

Oldman

Re : logiciels lycee - en physique

Impeccable big_smile Il y avait un fichier qtiplot_fr.qm mais visiblement trop ancien.
Maintenant ça fonctionne en français !

Hors ligne

#57 Le 12/05/2010, à 17:11

Traductator

Re : logiciels lycee - en physique

Je n'arrive pas à utiliser PySatellites, je l'ai télécharger ici : http://debian.ofset.org/pool/main/p/pysatellites/. En fait j'ai pu l'installer, mais je ne sais pas comment le lancer.:rolleyes:

Si une âme charitable veut avoir pitié de moi et m'aider ça serai sympa.

Hors ligne

#58 Le 13/05/2010, à 09:54

anTurs

Re : logiciels lycee - en physique

Traductator a écrit :

Je n'arrive pas à utiliser PySatellites, je l'ai télécharger ici : http://debian.ofset.org/pool/main/p/pysatellites/. En fait j'ai pu l'installer, mais je ne sais pas comment le lancer.:rolleyes:

Si une âme charitable veut avoir pitié de moi et m'aider ça serai sympa.

Merci pour ce logiciel, je ne l'avais pas vu passer !!

Pour le lancer, il suffit d'ouvrir un terminal et de taper

pysatellites

Bon, en ce qui me concerne, il a fallu que j'installe un paquet supplémentaire, python-matplotlib.

Après ca roule tout seul !!


Dans le monde, il existe trois types de personnes : ceux qui savent compter et les autres.

Hors ligne

#59 Le 13/05/2010, à 10:27

YannUbuntu

Re : logiciels lycee - en physique

Bonjour
Si ce logiciel vaut le coup, n'hésitez pas a créer la page http://doc.ubuntu-fr.org/pysatellites et la mettre en lien sur http://doc.ubuntu-fr.org/education smile


à consulter/améliorer: Guide du Débutant, Logiciels, Ecole, Travail, Maison

Hors ligne

#60 Le 16/05/2010, à 19:55

leprofdepc

Re : logiciels lycee - en physique

Traductator a écrit :

Je n'arrive pas à utiliser PySatellites, je l'ai télécharger ici : http://debian.ofset.org/pool/main/p/pysatellites/. En fait j'ai pu l'installer, mais je ne sais pas comment le lancer.:rolleyes:

Si une âme charitable veut avoir pitié de moi et m'aider ça serai sympa.

Bonjour,
Tu peux aussi créer un raccourci :
- Clic-droit sur le menu "Applications" puis "Éditer les menus"
- Cliquer sur le menu où le raccourci sera créé puis "Nouvel élément"
- "Nom" : PySatellites - "Commande" : pysatellite
- Tu peux aussi directement glisser une image (prise n'importe où) sur l'icone pour la modifier
- Valider


Il y a moins bien, mais c'est plus cher...

Hors ligne

#61 Le 17/05/2010, à 16:00

Traductator

Re : logiciels lycee - en physique

Salut Leprofdepc, j'ai essayé ta méthode (j'ai même mis l'interface gnome sur mon Kubuntu pour être sûr d'avoir les mêmes menus) mais je n'y suis pas arrivé. Je n'ai pas vu "Éditer les menus". Alors j'ai essayer de créer un lanceur directement sur le bureau mais au moment de l'exécuter il me mets : "Détails : L'exécution du processus fils « pysatellite » a échoué (Aucun fichier ou dossier de ce type)". Peut-être que je n'ai pas la bonne version du logiciel, je ne sais pas.

Hors ligne

#62 Le 17/05/2010, à 17:59

Oldman

Re : logiciels lycee - en physique

est-ce que pysatellites fonctionne si tu le lances en console ?
Pour avoir une console dans gnome : Application > accessoires > terminal
Ensuite tu tapes dans la fenetre pysatellites.

Si cela fonctionne en console, alors tu pourras créer un lanceur sinon il faut d'abord régler le problème : peut-être en installant le paquet supplémentaire cité par anTurs : python-matplotlib mais je n'en suis pas sûr wink

Hors ligne

#63 Le 18/12/2010, à 18:16

willy31

Re : logiciels lycee - en physique

bonjour à tous,
je viens à vous après 1/2 journée d'essais plus infructueux les uns que les autres....
Je suis sous lucid et en train de tenter d'installer pymecavideo sans succès.
J'ai essayé un peu toutes les méthodes trouvées, la dernière étant celle-ci :
http://outilsphysiques.tuxfamily.org/pm … untu-lucid
sans succès !
lorsque je lance apt-get il me retourne qu'il ne troue pas de paquets correspondant à "python-mecavideo"
idem avec aptitude

Etant pas loin d'être débutant sous linux je suis en train de mesurer la difficulté d'installer certaines choses ...
mais bon, étant obstiné je suis certain qu'il doit y avoir une solution et c'est pour la connaitre que je vous sollicite.

Pouvez-vous m'aider ?
J'aurais une autre question : comment se fait-il que ce logiciel soit si difficile à installer sur la dernière LTS en cours ? Ne serait-il pas plus stratégique de le rendre simple à installer sur la LTS ?
Ce n'est que mon avis de débutant Linux ;-)

merci d'avance de m'aider à l'installer.
Cordialement


Deux pc fixes montés maison
- Fix : Intel® Core™2 CPU 6600 @ 2.40GHz × 2 avec 3 Go de RAM | Gallium 0.4 on AMD RV630 | OS : Ubuntu 14.04 (64 bits) /Unity
- Fix : AMD Athlon 64 Processor 3500+ avec 2 Go de RAM / OS : Ubuntu 12.04 (32 bits) /Unity
- Port : DELL Inspiron 15 R Intel Core i7 2,5Ghz (64 Bits) avec 8 Go de RAM / OS : Windows 8.1+ Ubuntu Trusty

Hors ligne

#64 Le 18/12/2010, à 18:40

totola

Re : logiciels lycee - en physique

bonjour,
la méthode que tu indiques en lien devrait fonctionner... As-tu bien suivi toutes les étapes?

Question bête: avant de faire

sudo apt-get install python-mecavideo

as-tu bien effectué :

sudo apt-get update

pour recharger la liste des paquets?


J'aurais une autre question : comment se fait-il que ce logiciel soit si difficile à installer sur la dernière LTS en cours ? Ne serait-il pas plus stratégique de le rendre simple à installer sur la LTS ?

oui, malheureusement les dernières fonctionnalités du logiciel utilisent une version du paquet python-opencv un peu plus récente que celui des dépots sur lucid... Il semblerait que sur Debian ou Mandriva le problème ne se pose pas.
La seule solution serait d'obtenir une mise à jour de ce paquet pour lucid...

je cite les développeurs du logiciel:

réclamer un rétroportage officiel du paquet opencv vers Lucid et/ou Karmic

mais ça je ne sais pas comment faire ni où s'adresser...

Dernière modification par totola (Le 18/12/2010, à 18:49)

Hors ligne

#65 Le 18/12/2010, à 18:53

willy31

Re : logiciels lycee - en physique

la question n'était pas bête puisque je ne l'avais pas fait !
Je suis en train et je mettrai à jour ce post en fonction du résultat ....

EDIT :
voici le résultat :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
  python-mecavideo: Dépend: python-opencv (>= 2.1) mais 2.0.0-3ubuntu2 devra être installé
E: Paquets défectueux
root@titi:/home/titi# 

Je ne vois pas comment faire !
car c'est justement opencv qu'il faudrait rétroporter ....

en examinant mon invite de commande je viens de m'apercevoir que lorsuque j'ai lancé "sudo apt-get update" la commande s'est terminée ainsi

...
Lecture des listes de paquets... Fait
W: Erreur GPG : http://debian.ofset.org squeeze Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B1B4AC97CB69AAC

et c'est la seule ligne qui marque une erreur, le reste est ok
un début d'explication ... ?

EDIT 2 :
je viens de trouver la réponse ici : http://debian.ofset.org/

j'installe la clé et je relance ...

EDIT 3 :
ca y est ca a fonctionné ! C'était la clé manquante qui empechait l'installation.
Merci à vous

Dernière modification par willy31 (Le 18/12/2010, à 19:19)


Deux pc fixes montés maison
- Fix : Intel® Core™2 CPU 6600 @ 2.40GHz × 2 avec 3 Go de RAM | Gallium 0.4 on AMD RV630 | OS : Ubuntu 14.04 (64 bits) /Unity
- Fix : AMD Athlon 64 Processor 3500+ avec 2 Go de RAM / OS : Ubuntu 12.04 (32 bits) /Unity
- Port : DELL Inspiron 15 R Intel Core i7 2,5Ghz (64 Bits) avec 8 Go de RAM / OS : Windows 8.1+ Ubuntu Trusty

Hors ligne

#66 Le 18/12/2010, à 19:03

totola

Re : logiciels lycee - en physique

attends, je suis entrain d'essayer et j'ai la meme chose que toi en utilisant apt-get.

Il semble que:

sudo aptitude install python-mecavideo

soit davantage capable de gérer les dépendances!

Hors ligne

#67 Le 18/12/2010, à 19:13

totola

Re : logiciels lycee - en physique

l'installation marche avec aptitude, mais le logiciel ne se lance pas... il y a encore des dépendances non-satisfaites:

- python-matplotlib
- ?

je cherche un peu et sinon faudra faire remonter tout ça aux dév...
Dis-moi ce qu'il en est chez toi?

(pour voir les erreurs, lance le programmes en console, en tapant juste pymecavideo, et copie colle ici ce qu'il y a dans la console)

Hors ligne

#68 Le 18/12/2010, à 19:17

totola

Re : logiciels lycee - en physique

EDIT 2 :
je viens de trouver la réponse ici : http://debian.ofset.org/

j'installe la clé et je relance ...

j'avais pas vu la modif de ton post... en effet, c'est juste un problème d'authentification...

Hors ligne

#69 Le 18/12/2010, à 19:27

totola

Re : logiciels lycee - en physique

EDIT 3 :
ca y est ca a fonctionné ! C'était la clé manquante qui empechait l'installation.
Merci à vous

euh, le logiciel se lance bien chez toi??

En ce qui me concerne j'ai fait remonter mon problème et je viendrais donner la solution dès que je l'aurais!

Dernière modification par totola (Le 18/12/2010, à 19:30)

Hors ligne

#70 Le 18/12/2010, à 20:26

willy31

Re : logiciels lycee - en physique

désolé pour le délai de réponse (je mangeais !)
bin, sinon, j'ai essayé de le lancer en mode console et effectivement il me manque matplotlib que je suis en train d'installer avec synaptic
à suivre ...

EDIT :
et voilà !
matplotlib installé et maintenant l'erreur est :

Traceback (most recent call last):
  File "/usr/bin/pymecavideo", line 5, in <module>
    pymecavideo.pymecavideo.run()
  File "/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py", line 1771, in run
    windows = StartQT4(None,opts)
  File "/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py", line 168, in __init__
    self._dir()
  File "/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py", line 735, in _dir
    os.mkdir(dd)
OSError: [Errno 2] Aucun fichier ou dossier de ce type: '/home/wedu/.local/share/data//pymecavideo'
Erreur de segmentation

du coup je suis allé rejeter un oeil là : http://doc.ubuntu-fr.org/pymecavideo
car l'erreur y est décrite, sauf que le fichier __init__.py ne se trouve plus là dans la 10.04 !
je suis en train de le chercher ...
je ne trouve même pas le dossier ou s'est mis pymecavideo ...

Dernière modification par willy31 (Le 18/12/2010, à 20:53)


Deux pc fixes montés maison
- Fix : Intel® Core™2 CPU 6600 @ 2.40GHz × 2 avec 3 Go de RAM | Gallium 0.4 on AMD RV630 | OS : Ubuntu 14.04 (64 bits) /Unity
- Fix : AMD Athlon 64 Processor 3500+ avec 2 Go de RAM / OS : Ubuntu 12.04 (32 bits) /Unity
- Port : DELL Inspiron 15 R Intel Core i7 2,5Ghz (64 Bits) avec 8 Go de RAM / OS : Windows 8.1+ Ubuntu Trusty

Hors ligne

#71 Le 18/12/2010, à 20:47

totola

Re : logiciels lycee - en physique

Ok, moi j'ai un problème lors de là création d'un répertoirequi m'a tout l'air d'être un bug... à suivre.

Hors ligne

#72 Le 18/12/2010, à 21:13

willy31

Re : logiciels lycee - en physique

Bon ca avance, j'ai trouvé le __init__.py
ou plutôt j'en ai trouvé 11 !
tous dans le répertoire d'installation (à priori) de pymecavideo.
mais je ne sais pas lequel modifier du coup !
vous avez une idée ?
les fichiers trouvés

EDIT :
bon, j'ai beau fouiller, je ne trouve pas !
et je ne pige pas non plus le sens du message d'erreur :

OSError: [Errno 2] Aucun fichier ou dossier de ce type: '/home/wedu/.local/share/data//pymecavideo'

quelqu'un peut-il m'éclairer ?

Dernière modification par willy31 (Le 18/12/2010, à 21:31)


Deux pc fixes montés maison
- Fix : Intel® Core™2 CPU 6600 @ 2.40GHz × 2 avec 3 Go de RAM | Gallium 0.4 on AMD RV630 | OS : Ubuntu 14.04 (64 bits) /Unity
- Fix : AMD Athlon 64 Processor 3500+ avec 2 Go de RAM / OS : Ubuntu 12.04 (32 bits) /Unity
- Port : DELL Inspiron 15 R Intel Core i7 2,5Ghz (64 Bits) avec 8 Go de RAM / OS : Windows 8.1+ Ubuntu Trusty

Hors ligne

#73 Le 18/12/2010, à 22:08

willy31

Re : logiciels lycee - en physique

Bon, j'avance :
je viens de piger que le problème ient du chemin vers le répertoire utilisateur !
En mode console, lorsque je lance pymecavideo, il retourne :

###Répertoires système
Dossier contenant les données de pymecavideo : /usr/share/python-mecavideo/
Dossier de l'aide : /usr/share/doc/python-mecavideo/html
Dossier des langues : /usr/share/python-mecavideo/lang
Dossier des icones : /usr/share/python-mecavideo/icones
Dossier des videos : /usr/share/python-mecavideo/video
Dossier gnuplot : /usr/bin/gnuplot/binary
###Répertoires Utilisateur
Dossier de l'application : /home/XXXX/.local/share/data//pymecavideo
Dossier de pymecavideo.conf : /home/XXXX/.local/share/data//pymecavideo
Dossier images_extraites : /home/XXXX/.local/share/data//pymecavideo/images_extraites
Dossier des données temporaires : /home/XXXX/.local/share/data//pymecavideo
Options [] []
Traceback (most recent call last):
  File "/usr/bin/pymecavideo", line 5, in <module>
    pymecavideo.pymecavideo.run()
  File "/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py", line 1771, in run
    windows = StartQT4(None,opts)
  File "/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py", line 168, in __init__
    self._dir()
  File "/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py", line 735, in _dir
    os.mkdir(dd)
OSError: [Errno 2] Aucun fichier ou dossier de ce type: '/home/XXXX/.local/share/data//pymecavideo'
Erreur de segmentation

Et autant les répertoires systèmes existent, autant les répertoires utilisateur n'existent pas :
il n'y a pas de dossier "data" dans le dossier "/home/XXXX/.local/share" ! Et donc encore moins "data//pymecavideo"
d'ailleurs le "//" m'interpelle car il ne me semble pas être correct, il doit manquer quelque chose non ?
merci d'avance

Dernière modification par willy31 (Le 18/12/2010, à 22:09)


Deux pc fixes montés maison
- Fix : Intel® Core™2 CPU 6600 @ 2.40GHz × 2 avec 3 Go de RAM | Gallium 0.4 on AMD RV630 | OS : Ubuntu 14.04 (64 bits) /Unity
- Fix : AMD Athlon 64 Processor 3500+ avec 2 Go de RAM / OS : Ubuntu 12.04 (32 bits) /Unity
- Port : DELL Inspiron 15 R Intel Core i7 2,5Ghz (64 Bits) avec 8 Go de RAM / OS : Windows 8.1+ Ubuntu Trusty

Hors ligne

#74 Le 18/12/2010, à 22:14

totola

Re : logiciels lycee - en physique

Oui, j'ai constaté là même chose et j'ai soumis le problème aux développeurs du programme. Le problème de matplotlib est semble t-il déja resolu... attendons un peu pour là suite...

De toute façon, c'est les vacances, non?
:-)

Dernière modification par totola (Le 18/12/2010, à 22:17)

Hors ligne

#75 Le 19/12/2010, à 09:29

willy31

Re : logiciels lycee - en physique

ok !
pour ma part je viens de piger en comparant mon erreur avec celle de la doc pré-citée que le chemin qu'il faut rectifier se trouve quelque part dans
/usr/lib/pymodules/python2.6/pymecavideo/pymecavideo.py mais je ne vois pas dans quelle ligne. Si les developpeurs nous lisent ....
merci d'avance

EDIT :
alors j'ai regardé dans le fichier "pymecavideo.py" et l'erreur vient de cette ligne (je pense) 735 :

# vérifie/crée les repertoires
            for d in ("conf", "images"):
                dd=StartQT4._dir(str(d))
                if not os.path.exists(dd):
                    os.mkdir(dd)

je pense que les répertoires conf et images ne sont pas corrects. Or ils sont initialisés par "globdef" ligne 86
Mais je ne sais pas ou changer "golbdef"  ?

EDIT 2 :
en fait "globdef" est initialisé dans le fichier :
/usr/lib/pymodules/python2.6/pymecavideo/globdef.py

#
177 # Dossier "data"
178 #
179 if sys.platform == 'win32':
180     DATA_PATH = os.path.join(PATH,"data")
181 else:
182     #DATA_PATH = os.path.join(PATH,"..","data")
183     DATA_PATH = testerDossier((os.path.join("..","data"),
184     '/usr/share/python-mecavideo/','/usr/share/pymecavideo/'))
185 #print "Dossier ""data"" :", DATA_PATH 

ca vient peut être de là ....

Dernière modification par willy31 (Le 19/12/2010, à 11:38)


Deux pc fixes montés maison
- Fix : Intel® Core™2 CPU 6600 @ 2.40GHz × 2 avec 3 Go de RAM | Gallium 0.4 on AMD RV630 | OS : Ubuntu 14.04 (64 bits) /Unity
- Fix : AMD Athlon 64 Processor 3500+ avec 2 Go de RAM / OS : Ubuntu 12.04 (32 bits) /Unity
- Port : DELL Inspiron 15 R Intel Core i7 2,5Ghz (64 Bits) avec 8 Go de RAM / OS : Windows 8.1+ Ubuntu Trusty

Hors ligne

Haut de page ↑